UtilDelegate (Java SE 9 & JDK 9 )
Keywords: javax.rmi.CORBA.UtilDelegate interface

Module java.corba
Package javax.rmi.CORBA

## Interface UtilDelegate

-     public interface UtilDelegate

  Supports delegation for method implementations in `Util`. The delegate is a singleton instance of a class that implements this interface and provides a replacement implementation for all the methods of `javax.rmi.CORBA.Util`. Delegation is enabled by providing the delegate's class name as the value of the `javax.rmi.CORBA.UtilClass` system property.
  See Also:
    `Util`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `copyObject​(Object obj, ORB orb)` | Delegation call for `Util.copyObject(java.lang.Object, org.omg.CORBA.ORB)`.
    `Object[]` | `copyObjects​(Object[] obj, ORB orb)` | Delegation call for `Util.copyObjects(java.lang.Object[], org.omg.CORBA.ORB)`.
    `ValueHandler` | `createValueHandler​()` | Delegation call for `Util.createValueHandler()`.
    `String` | `getCodebase​(Class clz)` | Delegation call for `Util.getCodebase(java.lang.Class)`.
    `Tie` | `getTie​(Remote target)` | Delegation call for `Util.getTie(java.rmi.Remote)`.
    `boolean` | `isLocal​(Stub stub)` | Delegation call for `Util.isLocal(javax.rmi.CORBA.Stub)`.
    `Class` | `loadClass​(String className, String remoteCodebase, ClassLoader loader)` | Delegation call for `Util.loadClass(java.lang.String, java.lang.String, java.lang.ClassLoader)`.
    `RemoteException` | `mapSystemException​(SystemException ex)` | Delegation call for `Util.mapSystemException(org.omg.CORBA.SystemException)`.
    `Object` | `readAny​(InputStream in)` | Delegation call for `Util.readAny(org.omg.CORBA.portable.InputStream)`.
    `void` | `registerTarget​(Tie tie, Remote target)` | Delegation call for `Util.registerTarget(javax.rmi.CORBA.Tie, java.rmi.Remote)`.
    `void` | `unexportObject​(Remote target)` | Delegation call for `Util.unexportObject(java.rmi.Remote)`.
    `RemoteException` | `wrapException​(Throwable obj)` | Delegation call for `Util.wrapException(java.lang.Throwable)`.
    `void` | `writeAbstractObject​(OutputStream out, Object obj)` | Delegation call for `Util.writeAbstractObject(org.omg.CORBA.portable.OutputStream, java.lang.Object)`.
    `void` | `writeAny​(OutputStream out, Object obj)` | Delegation call for `Util.writeAny(org.omg.CORBA.portable.OutputStream, java.lang.Object)`.
    `void` | `writeRemoteObject​(OutputStream out, Object obj)` | Delegation call for `Util.writeRemoteObject(org.omg.CORBA.portable.OutputStream, java.lang.Object)`.

- - ### Method Detail

    - #### mapSystemException

          RemoteException mapSystemException​(SystemException ex)

      Delegation call for `Util.mapSystemException(org.omg.CORBA.SystemException)`.

    - #### writeAny

          void writeAny​(OutputStream out,
                        Object obj)

      Delegation call for `Util.writeAny(org.omg.CORBA.portable.OutputStream, java.lang.Object)`.

    - #### readAny

          Object readAny​(InputStream in)

      Delegation call for `Util.readAny(org.omg.CORBA.portable.InputStream)`.

    - #### writeRemoteObject

          void writeRemoteObject​(OutputStream out,
                                 Object obj)

      Delegation call for `Util.writeRemoteObject(org.omg.CORBA.portable.OutputStream, java.lang.Object)`.

    - #### writeAbstractObject

          void writeAbstractObject​(OutputStream out,
                                   Object obj)

      Delegation call for `Util.writeAbstractObject(org.omg.CORBA.portable.OutputStream, java.lang.Object)`.

    - #### registerTarget

          void registerTarget​(Tie tie,
                              Remote target)

      Delegation call for `Util.registerTarget(javax.rmi.CORBA.Tie, java.rmi.Remote)`.

    - #### unexportObject

          void unexportObject​(Remote target)
                       throws NoSuchObjectException

      Delegation call for `Util.unexportObject(java.rmi.Remote)`.
      Throws:
        `NoSuchObjectException`

    - #### getTie

          Tie getTie​(Remote target)

      Delegation call for `Util.getTie(java.rmi.Remote)`.

    - #### createValueHandler

          ValueHandler createValueHandler​()

      Delegation call for `Util.createValueHandler()`.

    - #### getCodebase

          String getCodebase​(Class clz)

      Delegation call for `Util.getCodebase(java.lang.Class)`.

    - #### loadClass

          Class loadClass​(String className,
                          String remoteCodebase,
                          ClassLoader loader)
                   throws ClassNotFoundException

      Delegation call for `Util.loadClass(java.lang.String, java.lang.String, java.lang.ClassLoader)`.
      Throws:
        `ClassNotFoundException`

    - #### isLocal

          boolean isLocal​(Stub stub)
                   throws RemoteException

      Delegation call for `Util.isLocal(javax.rmi.CORBA.Stub)`.
      Throws:
        `RemoteException`

    - #### wrapException

          RemoteException wrapException​(Throwable obj)

      Delegation call for `Util.wrapException(java.lang.Throwable)`.

    - #### copyObject

          Object copyObject​(Object obj,
                            ORB orb)
                     throws RemoteException

      Delegation call for `Util.copyObject(java.lang.Object, org.omg.CORBA.ORB)`.
      Throws:
        `RemoteException`

    - #### copyObjects

          Object[] copyObjects​(Object[] obj,
                               ORB orb)
                        throws RemoteException

      Delegation call for `Util.copyObjects(java.lang.Object[], org.omg.CORBA.ORB)`.
      Throws:
        `RemoteException`